package intrinsic.flash.net;

public class NetStream extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.flash.media.SoundTransform soundTransform;
	public double bufferLength;
	public Object client;
	public int bytesTotal;
	public int videoCodec;
	public double currentFPS;
	public double bufferTime;
	public int audioCodec;
	public double liveDelay;
	public int objectEncoding;
	public double time;
	public int decodedFrames;
	public boolean checkPolicyFile;
	public int bytesLoaded;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NetStream() {
}

public NetStream(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void attachAudio(intrinsic.flash.media.Microphone arg0);
public native void close();
public native void handleDRMStatus(int arg0, int arg1, int arg2);
public native void resume();
public native void play();
public native void attachCamera(intrinsic.flash.media.Camera arg0);
public native void attachCamera(intrinsic.flash.media.Camera arg0, int arg1);
public native void receiveVideo(Object arg0);
public native void receiveAudio(boolean arg0);
public native void seek(double arg0);
public native void publish();
public native void publish(String arg0);
public native void publish(String arg0, String arg1);
public native void handleDRMAuthenticate(String arg0, String arg1, String arg2, String arg3, String arg4);
public native void togglePause();
public native void setDRMAuthenticationCredentials(String arg0, String arg1, String arg2);
public native void send(String arg0);
public native void pause();

}
